Bug 984502 - findmnt hangs forever
findmnt hangs forever
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 07:49 EDT by Tom Horsley
Modified: 2015-02-18 06:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2013-07-15 07:49:04 EDT
Description of problem:

I'm trying to run yum update which is installing a new kernel. The process
is sitting forever in this state:

13057 pts/0    S+     2:34              \_ /usr/bin/python /usr/bin/yum update
24963 pts/0    S+     0:00                  \_ /bin/sh /var/tmp/rpm-tmp.M9uDyZ 0
24964 pts/0    S+     0:00                      \_ /bin/bash /sbin/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update 3.9.9-302.fc19.x86_64
24985 pts/0    S+     0:00                          \_ /bin/bash /sbin/dracut -f /boot/initramfs-3.9.9-302.fc19.x86_64.img 3.9.9-302.fc19.x86_64
25044 pts/0    S+     0:00                              \_ /bin/bash /sbin/dracut -f /boot/initramfs-3.9.9-302.fc19.x86_64.img 3.9.9-302.fc19.x86_64
25067 pts/0    S+     0:00                                  \_ /bin/bash /sbin/dracut -f /boot/initramfs-3.9.9-302.fc19.x86_64.img 3.9.9-302.fc19.x86_64
25071 pts/0    S+     0:00                                      \_ /bin/bash /sbin/dracut -f /boot/initramfs-3.9.9-302.fc19.x86_64.img 3.9.9-302.fc19.x86_64
25074 pts/0    S+     0:00                                          \_ /bin/bash /sbin/dracut -f /boot/initramfs-3.9.9-302.fc19.x86_64.img 3.9.9-302.fc19.x86_64
25075 pts/0    D+     0:00                                              \_ findmnt --fstab -e -v -n -o FSTYPE /dev/block/8:0

That findmnt is never finishing. I'm guessing it has somehow become hung
accessing a NFS mounted directory for a NFS server which apparently went down
over the weekend.

Installing a kernel on my local system has no reason to touch random NFS mounted directories. The fact that it does is some kind of bug in the logic here. Perhaps it is also related to bug 980088.

Hopefully if I have to power cycle this thing the old kernel will still boot
properly.

Version-Release number of selected component (if applicable):
util-linux-2.23.1-3.fc19.x86_64


How reproducible:
I only did the one yum update.

Steps to Reproduce:
1. yum update
2. see hung process
3.

Actual results:
Hung process

Expected results:
New kernel gets installed

Additional info:
Comment 1 Karel Zak 2013-07-15 10:03:08 EDT
The problem should be already fixed in dracut upstream by commit 5e6014544934a9cd1a9470d03f71cbe8d806c35a.
Comment 2 Fedora End Of Life 2015-01-09 17:26:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 06:04:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.